/*
 *  Gtk-Parted - a front-end for libparted
 *  Copyright (C) 2000, 2001  Damien Genet
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef UI_H
#define UI_H

typedef enum _dialog_option dialog_option;
enum _dialog_option {
	DIALOG_FIX	= 1<<0,
	DIALOG_YES	= 1<<1,
	DIALOG_NO	= 1<<2,
	DIALOG_OK	= 1<<3,
	DIALOG_RETRY	= 1<<4,
	DIALOG_IGNORE	= 1<<5,
	DIALOG_CANCEL	= 1<<6
};
#define DIALOG_OK_CANCEL	(DIALOG_OK + DIALOG_CANCEL)
#define DIALOG_YES_NO		(DIALOG_YES + DIALOG_NO)
#define DIALOG_OPTION_FIRST 	DIALOG_FIX

/*
 * generic GUI includes
 */

void
ui_pixmap_init                         (GtkWidget       *container,
                                        GdkPixmap      **pixmap,
                                        GdkBitmap      **mask,
                                        char            *xpm[]);

void
ui_dialog_run                          (GtkDialog       *dialog);

GtkWidget*
ui_dialogPopup_create                  (gchar           *message);

GtkWidget*
ui_dialogMessage_create                (gchar           *message,
                                        gboolean         wrap);

GtkWidget*
ui_dialogConfirm_create                (gchar           *message,
                                        GtkSignalFunc    ok_callback);

dialog_option
ui_dialog_opt_create_and_run           (gchar           *message,
                                        dialog_option    options);

#endif
/* UI_H */
